<back to all web services

GetConnectors

The following routes are available for this service:
GET/RestApi/translations/connectors
"use strict";
export class XliffProxy {
    /** @param {{IsXliff?:boolean,IsFtp?:boolean,IsMachineTranslation?:boolean}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {boolean} */
    IsXliff;
    /** @type {boolean} */
    IsFtp;
    /** @type {boolean} */
    IsMachineTranslation;
}
export class LanguageProxy {
    /** @param {{Code?:string,Name?:string,Count?:number}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Code;
    /** @type {string} */
    Name;
    /** @type {number} */
    Count;
}
export class LanguagePairProxy {
    /** @param {{ActualSource?:LanguageProxy,Target?:LanguageProxy}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {LanguageProxy} */
    ActualSource;
    /** @type {LanguageProxy} */
    Target;
}
export class ConnectorProxy {
    /** @param {{Name?:string,Title?:string,Count?:number,Xliff?:XliffProxy,SupportedLanguages?:LanguagePairProxy[]}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Name;
    /** @type {string} */
    Title;
    /** @type {number} */
    Count;
    /** @type {XliffProxy} */
    Xliff;
    /** @type {LanguagePairProxy[]} */
    SupportedLanguages;
}
export class ConnectorsProxy {
    /** @param {{Connectors?:ConnectorProxy[],LanguagesMapping?:{ [index:string]: string; }}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {ConnectorProxy[]} */
    Connectors;
    /** @type {{ [index:string]: string; }} */
    LanguagesMapping;
}
export class GetConnectors {
    constructor(init) { Object.assign(this, init) }
}

JavaScript GetConnectors DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/connectors HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{}